SparseFile Namespace Reference

## Classes

class | CacheBlock
class | FileReferences
class | Reference

## Functions

| FIELD3D_INSTANTIATION_LOADBLOCK (float16_t)
| FIELD3D_INSTANTIATION_LOADBLOCK (float32_t)
| FIELD3D_INSTANTIATION_LOADBLOCK (float64_t)
| FIELD3D_INSTANTIATION_LOADBLOCK (vec16_t)
| FIELD3D_INSTANTIATION_LOADBLOCK (vec32_t)
| FIELD3D_INSTANTIATION_LOADBLOCK (vec64_t)
| FIELD3D_INSTANTIATION_OPENFILE (float16_t)
| FIELD3D_INSTANTIATION_OPENFILE (float32_t)
| FIELD3D_INSTANTIATION_OPENFILE (float64_t)
| FIELD3D_INSTANTIATION_OPENFILE (vec16_t)
| FIELD3D_INSTANTIATION_OPENFILE (vec32_t)
| FIELD3D_INSTANTIATION_OPENFILE (vec64_t)

## Function Documentation

## FIELD3D_INSTANTIATION_LOADBLOCK() [1/6]

SparseFile::FIELD3D_INSTANTIATION_LOADBLOCK | ( | float16_t |  | ) |

## FIELD3D_INSTANTIATION_LOADBLOCK() [2/6]

SparseFile::FIELD3D_INSTANTIATION_LOADBLOCK | ( | float32_t |  | ) |

## FIELD3D_INSTANTIATION_LOADBLOCK() [3/6]

SparseFile::FIELD3D_INSTANTIATION_LOADBLOCK | ( | float64_t |  | ) |

## FIELD3D_INSTANTIATION_LOADBLOCK() [4/6]

SparseFile::FIELD3D_INSTANTIATION_LOADBLOCK | ( | vec16_t |  | ) |

## FIELD3D_INSTANTIATION_LOADBLOCK() [5/6]

SparseFile::FIELD3D_INSTANTIATION_LOADBLOCK | ( | vec32_t |  | ) |

## FIELD3D_INSTANTIATION_LOADBLOCK() [6/6]

SparseFile::FIELD3D_INSTANTIATION_LOADBLOCK | ( | vec64_t |  | ) |

## FIELD3D_INSTANTIATION_OPENFILE() [1/6]

SparseFile::FIELD3D_INSTANTIATION_OPENFILE | ( | float16_t |  | ) |

## FIELD3D_INSTANTIATION_OPENFILE() [2/6]

SparseFile::FIELD3D_INSTANTIATION_OPENFILE | ( | float32_t |  | ) |

## FIELD3D_INSTANTIATION_OPENFILE() [3/6]

SparseFile::FIELD3D_INSTANTIATION_OPENFILE | ( | float64_t |  | ) |

## FIELD3D_INSTANTIATION_OPENFILE() [4/6]

SparseFile::FIELD3D_INSTANTIATION_OPENFILE | ( | vec16_t |  | ) |

## FIELD3D_INSTANTIATION_OPENFILE() [5/6]

SparseFile::FIELD3D_INSTANTIATION_OPENFILE | ( | vec32_t |  | ) |

## FIELD3D_INSTANTIATION_OPENFILE() [6/6]

SparseFile::FIELD3D_INSTANTIATION_OPENFILE | ( | vec64_t |  | ) |